# Docker Snipe-IT

This 🚀 **CyMaIS** role provides an automated deployment and configuration for **[Snipe-IT](https://github.com/snipe/snipe-it)**, an open-source asset management system. It leverages **Docker Compose**, **Ansible**, and **centralized database integration** to streamline deployment and maintenance.

👤 **Author:** Kevin Veen-Birkenbach  
🔗 **Website:** [veen.world](https://veen.world)

## Features ✨
- Automated setup using **Docker Compose** 🐳
- Centralized **MariaDB** database support 🛢️
- Secure environment configurations 🔐
- Configurable **SMTP email settings** 📧
- **SAML Authentication Support** (Pending Fix) 🔐
- **Redis Caching** for improved performance ⚡

## Pending Issue 🚧
To ensure full **SAML authentication integration**, this issue still needs to be resolved:  
🔗 [GitHub Issue #16186](https://github.com/snipe/snipe-it/issues/16186)

## Additional Resources 📚
For more details, visit the official documentation and related links:
- 🔗 [Snipe-IT Documentation](https://snipe-it.readme.io/docs/ldap-sync-login)
- 🔗 [SAML Setup](https://snipe-it.readme.io/docs/saml)
- 🔗 [Mattermost SSO Integration](https://docs.mattermost.com/onboard/sso-saml-keycloak.html)
- https://snipe-it.readme.io/docs/ldap-sync-login
- https://github.com/snipe/snipe-it/issues/8584
- https://chatgpt.com/c/67a34927-a994-800f-a3d5-86a5b0205c8b
- https://github.com/snipe/snipe-it/issues/14895
- https://github.com/snipe/snipe-it/issues/16186

🚀 Happy Deploying! 🏗️
